FindMyHost

Web Hosting News

Future Hosting Advises PHP 5.6 and PHP 7 Users To Update Soon

November 02
11:13 2018

SOUTHFIELD, MICH. – Future Hosting, a managed server hosting provider, has warned server hosting clients that PHP 5.6 and PHP 7 will not receive security updates after the end of 2018. Servers running unsupported versions of PHP are at risk if vulnerabilities are discovered after that date.

PHP is the most common server-side language on the web. Many of the most popular content management systems and eCommerce applications use PHP, including WordPress, WooCommerce, Joomla, Magento, Drupal, and more. Almost 80% of websites use some version of PHP. In spite of its upcoming end-of-life, PHP 5.6 remains the most widely used version of PHP, with around 60% of websites using PHP 5.6 today.


PHP’s developers will not support PHP 5.6 after December 31, 2018. PHP 7 reaches the end of its life earlier, on December 3, 2018. That means there will be no further work on either version. Bugs will not be fixed and security vulnerabilities will not be patched.

Support for PHP 5.6 was initially planned to end early last year. The deadline was extended because of its popularity. But December is the end of the line — there will be no further extensions.

“As a server hosting provider, we host thousands of WordPress sites and other sites built on PHP and PHP frameworks,“ said Maulesh Patel, VP of Operations of Future Hosting. “We’re concerned that a large percentage of the web will run on an unsupported platform. Bad actors will scrutinize PHP 5.6, and the vulnerabilities they discover will not be patched.”

Many site owners, developers, and hosting providers are reluctant to update to the newest version of PHP. The upgrade process can be time-consuming and may cause issues for busy production sites. Vulnerabilities in PHP itself are rarely to blame for security problems, but running unsupported software is always a risk.

Many content management systems will continue to support PHP 5.6 past its official end of life. WordPress still supports PHP 5.2, which was officially retired eight years ago. It is important to note that CMS support refers to backward compatibility, not to security support. Although content management systems will run on unsupported versions of PHP, they will not be protected from any vulnerabilities in those versions.

About Future Hosting, LLC
Founded in 2001, Future Hosting is a privately held leading Internet solutions provider specializing in managed hosting, including Dedicated Servers, Virtual Private Servers, and Hybrid Virtual Private Servers. The company has built a strong reputation for its high-quality service, innovative pricing models, and 3-hour Service Level Agreement. Future Hosting is based in Southfield, Michigan. For more information, visit http://www.futurehosting.com

About Author

FindMyHost Editor

FindMyHost Editor

The 'Web Hosting Blog' at FindMyHost.com was established to provide the web hosting industry with the very latest in news, technology, interviews, event information and more. About FindMyHost.com: Launched in January 2001 to protect Web Host Consumers and Web Developers from making the wrong choice when choosing a Web host. FindMyHost.com showcases a selection of web hosting companies who have undergone our Approved Host program testing and provides reviews from customers.

Related Articles

0 Comments

No Comments Yet!

There are no comments at the moment, do you want to add one?

Write a comment

Write a Comment

Special Offers:

SUBSCRIBE TO OUR MAILING LIST